com.sun.mail.imap.protocol

## Class FLAGS

- java.lang.Object
- - javax.mail.Flags
  - - com.sun.mail.imap.protocol.FLAGS

- All Implemented Interfaces:
    Item, Serializable, Cloneable

      public class FLAGS
      extends Flags
      implements Item

  This class
  Author:
    John Mani
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.mail.Flags

      `Flags.Flag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `msgno`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLAGS(IMAPResponse r)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class javax.mail.Flags

      `add, add, add, clone, contains, contains, contains, equals, getSystemFlags, getUserFlags, hashCode, remove, remove, remove`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msgno

          public int msgno

  - ### Constructor Detail

    - #### FLAGS

          public FLAGS(IMAPResponse r)
                throws ParsingException

      Constructor.
      Parameters:
        `r` - the IMAPResponse
      Throws:
        `ParsingException` - for parsing failures

Copyright © 2016 Oracle. All rights reserved.